
void _efl_canvas_vg_shape_fill_set(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd, Efl_Canvas_Vg_Node *f);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_shape_fill_set, EFL_FUNC_CALL(f), Efl_Canvas_Vg_Node *f);

Efl_Canvas_Vg_Node *_efl_canvas_vg_shape_fill_get(const Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_shape_fill_get, Efl_Canvas_Vg_Node *, NULL);

void _efl_canvas_vg_shape_stroke_fill_set(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd, Efl_Canvas_Vg_Node *f);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_shape_stroke_fill_set, EFL_FUNC_CALL(f), Efl_Canvas_Vg_Node *f);

Efl_Canvas_Vg_Node *_efl_canvas_vg_shape_stroke_fill_get(const Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_shape_stroke_fill_get, Efl_Canvas_Vg_Node *, NULL);

void _efl_canvas_vg_shape_stroke_marker_set(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd, Efl_Canvas_Vg_Node *m);

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_vg_shape_stroke_marker_set, EFL_FUNC_CALL(m), Efl_Canvas_Vg_Node *m);

Efl_Canvas_Vg_Node *_efl_canvas_vg_shape_stroke_marker_get(const Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_vg_shape_stroke_marker_get, Efl_Canvas_Vg_Node *, NULL);

Eina_Bool _efl_canvas_vg_shape_efl_gfx_path_interpolate(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd, const Efl_Object *from, const Efl_Object *to, double pos_map);


void _efl_canvas_vg_shape_efl_gfx_path_commit(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);


Efl_Duplicate *_efl_canvas_vg_shape_efl_duplicate_duplicate(const Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);


Efl_Object *_efl_canvas_vg_shape_efl_object_constructor(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);


void _efl_canvas_vg_shape_efl_object_destructor(Eo *obj, Efl_Canvas_Vg_Shape_Data *pd);


static Eina_Bool
_efl_canvas_vg_shape_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_VG_SHAPE_EXTRA_OPS
#define EFL_CANVAS_VG_SHAPE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_fill_set, _efl_canvas_vg_shape_fill_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_fill_get, _efl_canvas_vg_shape_fill_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_stroke_fill_set, _efl_canvas_vg_shape_stroke_fill_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_stroke_fill_get, _efl_canvas_vg_shape_stroke_fill_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_stroke_marker_set, _efl_canvas_vg_shape_stroke_marker_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_vg_shape_stroke_marker_get, _efl_canvas_vg_shape_stroke_marker_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_interpolate, _efl_canvas_vg_shape_efl_gfx_path_interpolate),
      EFL_OBJECT_OP_FUNC(efl_gfx_path_commit, _efl_canvas_vg_shape_efl_gfx_path_commit),
      EFL_OBJECT_OP_FUNC(efl_duplicate, _efl_canvas_vg_shape_efl_duplicate_duplicate),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_vg_shape_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_vg_shape_efl_object_destructor),
      EFL_CANVAS_VG_SHAPE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_vg_shape_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Vg.Shape",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Canvas_Vg_Shape_Data),
   _efl_canvas_vg_shape_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_vg_shape_class_get, &_efl_canvas_vg_shape_class_desc, EFL_CANVAS_VG_NODE_CLASS, EFL_GFX_SHAPE_MIXIN, NULL);
